Subject: Re: [PATCH] iproute2: show network device dependency tree

From: Jiri Benc <[email-masked]>
Date: Mon, 27 Feb 2017 17:38:25 +0100

On Sun, 26 Feb 2017 15:46:10 +0100, Jiri Pirko wrote:
> You can also run it remotelly. Also I believe that you can catch the
> state into some dump file and process it later on. Not 100% sure though.
> Ccing Jiri Benc who is the original author of plotnetcfg.

It produces dot (graphviz) output or json and has no dependencies on
anything GUI related. Just run it on the remote machine and display the
output locally.

ssh root@remote plotnetcfg | dot -Tpdf | whatever_pdf_viewer

Note that some pdf viewers can't read stdin or require dash as the
parameter to use stdin.

I don't think it's possible to enhance iproute2 to display the network
interface dependencies in an useful way. It's just too complex. It's
not even a (undirected) tree.

 Jiri